org.apache.ignite.ml.tree.randomforest.data.impurity

## Class GiniHistogramsComputer

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer<GiniHistogram>
  - - org.apache.ignite.ml.tree.randomforest.data.impurity.GiniHistogramsComputer

- All Implemented Interfaces:
    Serializable

      public class GiniHistogramsComputer
      extends ImpurityHistogramsComputer<GiniHistogram>

  Implementation of `ImpurityHistogramsComputer` for classification task.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer

      `ImpurityHistogramsComputer.NodeImpurityHistograms<S extends ImpurityComputer<BootstrappedVector,S>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiniHistogramsComputer(Map<Double,Integer> lblMapping)` Creates an instance of GiniHistogramsComputer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GiniHistogram` | `createImpurityComputerForFeature(int sampleId, BucketMeta meta)` Creates impurity computer in according to specific algorithm based on random forest (for example `GiniHistogram` for classification).

    - ### Methods inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer

      `aggregateImpurityStatistics`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GiniHistogramsComputer

          public GiniHistogramsComputer(Map<Double,Integer> lblMapping)

      Creates an instance of GiniHistogramsComputer.
      Parameters:
        `lblMapping` - Lbl mapping.

  - ### Method Detail

    - #### createImpurityComputerForFeature

          protected GiniHistogram createImpurityComputerForFeature(int sampleId,
                                                                   BucketMeta meta)

      Creates impurity computer in according to specific algorithm based on random forest (for example `GiniHistogram` for classification).
      Specified by:
        `createImpurityComputerForFeature` in class `ImpurityHistogramsComputer<GiniHistogram>`
      Parameters:
        `sampleId` - Sample id.
        `meta` - Bucket Meta.
      Returns:
        Impurity computer

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020